> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Income Definitions

> Get investment income type definitions, by state, for calculating investment income tax



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/taxEngineExpress/incomeTypeDefinitions
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/taxEngineExpress/incomeTypeDefinitions:
    get:
      tags:
        - Tax Engine Express
      summary: Get Income Definitions
      description: >-
        Get investment income type definitions, by state, for calculating
        investment income tax
      operationId: incomeTypeDefinitions
      parameters:
        - name: client_id
          in: query
          schema:
            type: string
        - name: clientId
          in: query
          schema:
            type: string
        - name: state
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IncomeTypeDefinitionDTO'
components:
  schemas:
    IncomeTypeDefinitionDTO:
      type: object
      properties:
        incomeType:
          type: string
          example: TAX_FREE_INTEREST_OTHER_STATE
        definitions:
          type: string
          example: >-
            Enter the amount of interest earned on Municipal Bonds issued out of
            the state. These are the bonds which are federal tax free and issued
            by various state agencies and are not state tax free if issued by
            other states than this state.
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````